For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get EHF invoice status

Check the status for an EHF invoice.

Required permissions: SALES_ORDER,RETURN_ORDER

get
/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/ehf
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receiptUidstringRequired

Reference to a Receipt.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
voucherNumberstringRequired
orderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderNumberstringRequired
orderSettlementUidstringRequiredPattern: ^[A-Za-z0-9-_]+
statusOkbooleanRequired
statusAtstring · date-timeRequired
statusMessagestringRequired
get/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/ehf
GET /v2/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/ehf HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "voucherNumber": "text",
  "orderUid": "text",
  "orderNumber": "text",
  "orderSettlementUid": "text",
  "statusOk": true,
  "statusAt": "2026-01-01T00:00:00.000Z",
  "statusMessage": "text"
}

Last updated

Was this helpful?